Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.terracotta.quartz.wrappers
Class JobWrapper

    java.lang.Object
      org.terracotta.quartz.wrappers.JobWrapper

All Implemented Interfaces:
  Serializable

    public class JobWrapper

extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`protected JobDetail` | `jobDetail`

Constructor Summary
`protected` | `JobWrapper(JobDetail jobDetail)`

Method Summary
`boolean` | `equals(Object obj)`
`JobDataMap` | `getJobDataMapClone()`
`JobDetail` | `getJobDetailClone()`
`JobKey` | `getKey()`
`int` | `hashCode()`
`boolean` | `isConcurrentExectionDisallowed()`
`boolean` | `isDurable()`
`boolean` | `isInstanceof(Class clazz)`
`boolean` | `isPersistJobDataAfterExecution()`
`boolean` | `requestsRecovery()`
`void` | `setJobDataMap(JobDataMap newData, JobFacade jobFacade)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### jobDetail

    protected JobDetail jobDetail

Constructor Detail

### JobWrapper

    protected JobWrapper(JobDetail jobDetail)

Method Detail

### getKey

    public JobKey getKey()

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### requestsRecovery

    public boolean requestsRecovery()

### isPersistJobDataAfterExecution

    public boolean isPersistJobDataAfterExecution()

### isConcurrentExectionDisallowed

    public boolean isConcurrentExectionDisallowed()

### isDurable

    public boolean isDurable()

### getJobDetailClone

    public JobDetail getJobDetailClone()

### setJobDataMap

    public void setJobDataMap(JobDataMap newData,
                              JobFacade jobFacade)

### getJobDataMapClone

    public JobDataMap getJobDataMapClone()

### isInstanceof

    public boolean isInstanceof(Class clazz)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.